Welcome!

1-abc.net Personal Addresses
Organize all your personal contact data easier than ever!

One of the first tasks for computers was how to organize contact data of friends, relatives, shops, companies, authorities or customers. Nowadays, addresses or telephone numbers can be saved to data bases, to word processing files, to text files or can even be organized on your mobile phone or online.

While in our opinion the main focus of address data bases should still be the data itself, that it can be accessed very fast and that the way to it should not be overloaded with features that you never need, most possibilities to save your personal contact data unfortunately fail when you really check out these main questions.

Isn’t it annoying that most data base programs show you a splash screen for a few seconds before you can start to search just for a simple address? Doesn’t it bore you to be asked after each single change if you want to save the data or not? And don’t you get angry when you think about the high price you have to pay for a big office suite when you just want to find out the telephone number of a friend?

We understand you, because we think the same way. So we decided to develop and release 1-abc.net Personal Addresses. Based on the famous SQLite structure this program organizes all your contact data. The program starts directly after you clicked the icon and anything you enter is saved automatically.

Of course, even if we managed to develop a very easy to use program, it would be no 1-abc.net product, if it would not have some fantastic features too. You can search for single entries using wild cards in each part of it. You get a result table with all entries matching your search. You can sort the whole list or the filtered data after each column. And you can decide by your own where the data base file is located and even network drives are possible so that 1-abc.net Personal Addresses can be installed on another computer than the data is saved.

Switch between different address data bases, encrypt your address data with a personal password using the famous AES encryption, export addresses to *.txt, *.csv or *.sqlite, print all your addresses or only filtered data in the order you want ... you see, managing your contact data with 1-abc.net Personal Addresses is so easy that it can even be fun!

Feature Overview:

  • Very easy-to-use interface
  • Enter, edit or remove your contact data, changes are saved automatically
  • Overview window for all addresses you entered
  • Filtered view with result data of your search
  • Search window where you can define your search with wild cards
  • Screen to enter your contact data with name, company, address, phone number, e-mail-address, website and more info
  • Possibility to protect the program start with a personal password and to encrypt your password file with AES encryption
  • Editable path to save the contact data base to other places
  • Switch between different data bases
  • Export all or filtered addresses to *.txt, *.csv or *.sqlite
  • Import addresses from other programs via *.csv or *.sqlite import feature
  • Print all or filtered addresses on your local printer or on a network printer
  • Save last settings (full screen view, filter definition, sorting order, column width) for the next program start
  • Decide what columns should be shown by default
  • Color selection for your address lists
  • Right click context menu for faster access to most used features
  • Automatic backup reminder for your address data
  • Program can also be installed on USB sticks, camera cards or nearly all other re-writable media
  • Very low system resources required

For Windows® XP / Vista / 7 / 8
Chief Developer & Documentation: Stefan Siegert
Copyright 2005-2015 1-abc.net


Before you start working with this program ...

Before you start working with this program …

This program saves changes you do on your data directly, so please do not delete or change anything just for fun.

From time to time it could make sense to save a copy of the data base file to another place. The file is called '1abcnet_Personal_Addresses.sqlite' and can be found in the program folder or the folder you specified in the 'Options' screen. You can also use the 'Export to SQlite' feature from the File menu or the automated backup feature from the Options tab.

If you use the feature to encrypt your data please do not forget your password!

The 1-abc.net team wishes you much fun with this product!


Using the main screen

To work with 1-abc.net Personal Addresses is very easy. Here you can see how the main screen looks:

There are 5 different tabs - 'View all', 'View filtered', 'Search', 'Add / edit data' and 'Options' - that can be accessed by clicking on it. If it makes sense, they will also change automatically.

'View all' and 'View filtered'

Here you get an overview about the data in your data base. The difference between these both tabs is that 'View filtered' only shows you the entries that match your search while 'View all' tells you everything that is included. By clicking the column headers you can sort the data easily. On the right side between the buttons you are shown how many addresses the current data list includes, by right-clicking the list a context menu will be opened with faster access to most used features.

If you want to add a new entry, you can click on 'Add Entry', then you will automatically come to the 'Add/edit data' screen where you can enter it. When you select an entry to edit from the list, the same will happen as if you double-click on it: Again you will come to the 'Add/edit data' screen, but of course it is filled with the data base entry you just selected. For deleting any entry, please select it, click on 'Remove Entry', confirm the warning message and your selected entry/entries is/are removed easily.

At the right bottom of the screen you will find 2 more buttons. The 1st one allows you to copy a whole data base line (including name, address, town and so on) to clipboard. When you paste it in any other program, the whole address is formated with line feeds when they make sense. For example, first name and last name are written in one line while different telephone numbers get extra lines. Empty fields will not be copied automatically since this does not make not much sense.

The last button helps you to print your data. Just select your printer and more options if necessary. When you start it directly from this screen, the addresses are printed in the order you used for sorting here. For more information about printing with 1-abc.net Personal Addresses take a look at the from the File Menu.

'Search'

Just enter the data you are looking for in the field where you are expecting to find it.

You can also use wild cards with '%'. For example: If you look for all names starting with 'J' you can just enter 'J%' in the name field. If you are looking for Towns with 'e' in it, you can fill in the 'Town' field with '%e%'. And if you look on Addresses ending with '9' you can use the wild card again by looking for '%9'.

When you entered anything you needed here, click on 'Search for Addresses' or just select the 'View filtered' tab.

'Add/edit data'

Here you can see and edit each single entry. You can scroll forward or back with the spin buttons at the bottom of the screen. Each change you do here is saved automatically.

For entering a new address, just click the 'Add new' button. After adding all data, please click 'Save Entry' to write the new entry to your data base file.

'Display Settings'

On the left side you can decide what columns will be displayed on the View tab or on the View Filtered tab. When you de-activate any column here the width will be set to 0 automatically so it will be hidden. On the right side you can select if the program will always switch to full screen mode when it is started or if you want to keep columns widthts for the next program start. Below this you can select your favourite colors for displaying your addresses on the first 2 tabs.

'Options'

In the upper part you can select the path for your data base file. At the first program start, a folder is determined automatically. If you want to have it on a different please, just change it here by clicking on 'Browse'. You can also check the option for using the program folder, which makes sense if you installed 1-abc.net Personal Addresses to an external drive like a USB stick.

For security reasons it could make sense to be reminded automatically on creating a backup of your address data from time to time. You can set this check mark here and define a time period how often you want to be reminded.

If you do not want other persons to start this program, you can enter a personal password in the lower part at the left. Please note that a password must have at least 6 characters and both passwords you enter must be equal, otherwise the program will not show a password dialog the next time you start it. With this password, the password file is encrypted with the very secure AES (Advanced Encryption Standard) encryption procedure.

At the right bottom of the screen you will find 3 more options. Here you can set the checkmarks if you like to keep the sorting order and the last filter settings or if you like to start the program with Windows automatically.


Menu

File

Import Addresses From ...
From this item you can easily import data you previously exported from this or another data base program. Please decide if you want to import from *.csv or from *.sqlite. *.csv is a very famous format that can be exported from MS Excel and many other programs. Please make sure that each line needs to have 16 columns (First Name;Last Name;Company; ... etc., like in this program), each data must be seperated from the other one by the ';' sign. If you like to see an example for the formatting please export your data to *.csv and take a look at this file. If you prefer *.sqlite import, which is the data base format in this program, please also make sure that your data base is called 'Addresses' and has 16 columns. If everything is okay, aour data will be added to the list, please wait a moment and be patient.

Export All Addresses To ...
Here you can save your data for use in other programs. Please make your choice if you prefer *.txt files, *.csv data or *.sqlite data bases. While *.txt files just write each field into a single line and data sections are divided by a '---' line, *.csv data (which can be imported to MS Excel and MS Word by the way) gets headlines in the first line and then each data set is followed line by line while single fields are divided by ';'. *.sqlite export is nothing more than a backup copy of your data base file.

Export Filtered Addresses To ...
This feature does the same but only takes your filtered addresses matching your search.

Print All Addresses
With this feature you can print all you data you entered with this program. Please select a printer and do more settings (like colours, quality and so on) if you wish. Please note that in this version only 'US Letter' and 'A4' are supported paper formats. Addresses will be formated with line feeds when they make sense. For example, first name and last name are written in one line while different telephone numbers get extra lines. Empty fields will not be printed automatically since this does not make not much sense. Addresses on paper are divided by a '---' line.

Print Filtered Addresses
This feature does the same but only prints your filtered addresses matching your search.

Language Selection
If you like to see the program in another language, check this feature to switch it. If your language is missing and you like to translate it, please send us an e-mail to translations@1-abc.net to get more information about it.

Exit
Select this option to leave the program.

View

View / View Filtered / Search / Add+Edit Data / Display Settings / Options
Here you can easily switch between the tabs. This has the same effect as it is described in the main screen chapter.

Register

Get free Trial Key
From the first time you installed this program it runs 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


About 1-abc.net …

1-abc.net software is a young and dynamic company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translaters and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. Meanwhile more than Windows tools and utilities are available. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key
  • Users can also buy 1-abc.net software on CD instead of downloading
Additionally, more and more distribution companies worldwide sell 1-abc.net software as boxes or through other channels licensed under their own label. 1-abc.net Android™ apps for mobile devices, Windows Store Apps and mobile apps for Firefox OS are available from the website http://mobile.1-abc.net.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Germany

Unfortunately we currently offer NO telephone support, please take a look at this website to find out more or to contact us via e-mail:

http://1-abc.net/support.htm